.workflows {
  width: 100%;
  height: 100%;
  overflow-y: auto;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  padding: 50px;
  gap: 30px;

  @for $i from 1 through 6 {
    .workflow:nth-child(#{$i}n) {
      animation-delay: #{$i * 0.2}s;
    }
  }

  .workflow {
    overflow: unset;
    border-radius: 30px;
  }

  .workflow > div {
    flex-grow: 1;
    padding: 20px;
    display: flex;
    flex-direction: row;

    .left {
      justify-self: flex-start;

      & > h1, & > p, & > a {
        margin-left: 5%;
      }
    }

    .right {
      justify-self: flex-end;
    }

    div {
      width: 50%;
      height: auto;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;

      img[alt="preview"] {
        width: 90%;
        border-radius: 20px;
        margin-block: auto;
      }

      h1 {
        margin-top: 5%;
        font-size: 35px;
      }

      p {
        width: 70%;
        font-size: 20px;
      }

      a {
        width: 50px;
        height: 50px;
        margin-top: auto;
        margin-bottom: 5%;

        img {
          width: 100%;
          height: 100%;
        }
      }
    }

    @media screen and (max-width: 1200px) {
      div.image {
        display: none;
      }

      div.text {
        width: 100%;
      }

      .right {
        justify-self: flex-start;

        & > h1, & > p, & > a {
          margin-left: 5%;
        }
      }
    }
  }

  @media screen and (max-width: 700px) {
    padding: 10px;

    & > div {
      padding: 5px;

      * {
        margin-left: 0 !important;
      }

      a {
        display: none;
      }
    }
  }
}
